Index: pacemaker-1.1.19+20181105.ccd6b5b10/pengine/test10/remote-startup-probes.dot
===================================================================
--- pacemaker-1.1.19+20181105.ccd6b5b10.orig/pengine/test10/remote-startup-probes.dot
+++ pacemaker-1.1.19+20181105.ccd6b5b10/pengine/test10/remote-startup-probes.dot
@@ -1,5 +1,6 @@
  digraph "g" {
 "FAKE1_monitor_0 remote1" -> "FAKE1_start_0 18node2" [ style = bold]
+"FAKE1_monitor_0 remote1" -> "all_stopped" [ style = bold]
 "FAKE1_monitor_0 remote1" [ style=bold color="green" fontcolor="black"]
 "FAKE1_monitor_60000 18node2" [ style=bold color="green" fontcolor="black"]
 "FAKE1_start_0 18node2" -> "FAKE1_monitor_60000 18node2" [ style = bold]
@@ -8,6 +9,7 @@
 "FAKE1_stop_0 18builder" -> "all_stopped" [ style = bold]
 "FAKE1_stop_0 18builder" [ style=bold color="green" fontcolor="black"]
 "FAKE2_monitor_0 remote1" -> "FAKE2_start_0 remote1" [ style = bold]
+"FAKE2_monitor_0 remote1" -> "all_stopped" [ style = bold]
 "FAKE2_monitor_0 remote1" [ style=bold color="green" fontcolor="black"]
 "FAKE2_monitor_60000 remote1" [ style=bold color="green" fontcolor="black"]
 "FAKE2_start_0 remote1" -> "FAKE2_monitor_60000 remote1" [ style = bold]
@@ -15,7 +17,9 @@
 "FAKE2_stop_0 18node2" -> "FAKE2_start_0 remote1" [ style = bold]
 "FAKE2_stop_0 18node2" -> "all_stopped" [ style = bold]
 "FAKE2_stop_0 18node2" [ style=bold color="green" fontcolor="black"]
+"FAKE3_monitor_0 remote1" -> "all_stopped" [ style = bold]
 "FAKE3_monitor_0 remote1" [ style=bold color="green" fontcolor="black"]
+"FAKE4_monitor_0 remote1" -> "all_stopped" [ style = bold]
 "FAKE4_monitor_0 remote1" [ style=bold color="green" fontcolor="black"]
 "all_stopped" [ style=bold color="green" fontcolor="orange"]
 "remote1_monitor_60000 18builder" [ style=bold color="green" fontcolor="black"]
Index: pacemaker-1.1.19+20181105.ccd6b5b10/pengine/test10/remote-startup-probes.exp
===================================================================
--- pacemaker-1.1.19+20181105.ccd6b5b10.orig/pengine/test10/remote-startup-probes.exp
+++ pacemaker-1.1.19+20181105.ccd6b5b10/pengine/test10/remote-startup-probes.exp
@@ -163,6 +163,18 @@
     </action_set>
     <inputs>
       <trigger>
+        <rsc_op id="7" operation="monitor" operation_key="FAKE1_monitor_0" on_node="remote1" on_node_uuid="remote1" router_node="18builder"/>
+      </trigger>
+      <trigger>
+        <rsc_op id="8" operation="monitor" operation_key="FAKE2_monitor_0" on_node="remote1" on_node_uuid="remote1" router_node="18builder"/>
+      </trigger>
+      <trigger>
+        <rsc_op id="9" operation="monitor" operation_key="FAKE3_monitor_0" on_node="remote1" on_node_uuid="remote1" router_node="18builder"/>
+      </trigger>
+      <trigger>
+        <rsc_op id="10" operation="monitor" operation_key="FAKE4_monitor_0" on_node="remote1" on_node_uuid="remote1" router_node="18builder"/>
+      </trigger>
+      <trigger>
         <rsc_op id="15" operation="stop" operation_key="FAKE1_stop_0" on_node="18builder" on_node_uuid="5"/>
       </trigger>
       <trigger>
Index: pacemaker-1.1.19+20181105.ccd6b5b10/pengine/test10/remote-startup.dot
===================================================================
--- pacemaker-1.1.19+20181105.ccd6b5b10.orig/pengine/test10/remote-startup.dot
+++ pacemaker-1.1.19+20181105.ccd6b5b10/pengine/test10/remote-startup.dot
@@ -1,18 +1,25 @@
  digraph "g" {
 "all_stopped" [ style=bold color="green" fontcolor="orange"]
+"fake_monitor_0 18builder" -> "all_stopped" [ style = bold]
 "fake_monitor_0 18builder" -> "fake_start_0 18node2" [ style = bold]
 "fake_monitor_0 18builder" [ style=bold color="green" fontcolor="black"]
+"fake_monitor_0 18node1" -> "all_stopped" [ style = bold]
 "fake_monitor_0 18node1" -> "fake_start_0 18node2" [ style = bold]
 "fake_monitor_0 18node1" [ style=bold color="green" fontcolor="black"]
+"fake_monitor_0 18node2" -> "all_stopped" [ style = bold]
 "fake_monitor_0 18node2" -> "fake_start_0 18node2" [ style = bold]
 "fake_monitor_0 18node2" [ style=bold color="green" fontcolor="black"]
+"fake_monitor_0 remote1" -> "all_stopped" [ style = bold]
 "fake_monitor_0 remote1" -> "fake_start_0 18node2" [ style = bold]
 "fake_monitor_0 remote1" [ style=bold color="green" fontcolor="black"]
 "fake_start_0 18node2" [ style=bold color="green" fontcolor="black"]
+"remote1_monitor_0 18builder" -> "all_stopped" [ style = bold]
 "remote1_monitor_0 18builder" -> "remote1_start_0 18builder" [ style = bold]
 "remote1_monitor_0 18builder" [ style=bold color="green" fontcolor="black"]
+"remote1_monitor_0 18node1" -> "all_stopped" [ style = bold]
 "remote1_monitor_0 18node1" -> "remote1_start_0 18builder" [ style = bold]
 "remote1_monitor_0 18node1" [ style=bold color="green" fontcolor="black"]
+"remote1_monitor_0 18node2" -> "all_stopped" [ style = bold]
 "remote1_monitor_0 18node2" -> "remote1_start_0 18builder" [ style = bold]
 "remote1_monitor_0 18node2" [ style=bold color="green" fontcolor="black"]
 "remote1_monitor_60000 18builder" [ style=bold color="green" fontcolor="black"]
Index: pacemaker-1.1.19+20181105.ccd6b5b10/pengine/test10/remote-startup.exp
===================================================================
--- pacemaker-1.1.19+20181105.ccd6b5b10.orig/pengine/test10/remote-startup.exp
+++ pacemaker-1.1.19+20181105.ccd6b5b10/pengine/test10/remote-startup.exp
@@ -163,6 +163,27 @@
     </action_set>
     <inputs>
       <trigger>
+        <rsc_op id="3" operation="monitor" operation_key="fake_monitor_0" on_node="18builder" on_node_uuid="5"/>
+      </trigger>
+      <trigger>
+        <rsc_op id="4" operation="monitor" operation_key="remote1_monitor_0" on_node="18builder" on_node_uuid="5"/>
+      </trigger>
+      <trigger>
+        <rsc_op id="5" operation="monitor" operation_key="fake_monitor_0" on_node="18node1" on_node_uuid="1"/>
+      </trigger>
+      <trigger>
+        <rsc_op id="6" operation="monitor" operation_key="remote1_monitor_0" on_node="18node1" on_node_uuid="1"/>
+      </trigger>
+      <trigger>
+        <rsc_op id="7" operation="monitor" operation_key="fake_monitor_0" on_node="18node2" on_node_uuid="2"/>
+      </trigger>
+      <trigger>
+        <rsc_op id="8" operation="monitor" operation_key="remote1_monitor_0" on_node="18node2" on_node_uuid="2"/>
+      </trigger>
+      <trigger>
+        <rsc_op id="9" operation="monitor" operation_key="fake_monitor_0" on_node="remote1" on_node_uuid="remote1" router_node="18builder"/>
+      </trigger>
+      <trigger>
         <rsc_op id="10" operation="stop" operation_key="shooter_stop_0" on_node="18builder" on_node_uuid="5"/>
       </trigger>
     </inputs>
Index: pacemaker-1.1.19+20181105.ccd6b5b10/pengine/test10/rsc-discovery-per-node.dot
===================================================================
--- pacemaker-1.1.19+20181105.ccd6b5b10.orig/pengine/test10/rsc-discovery-per-node.dot
+++ pacemaker-1.1.19+20181105.ccd6b5b10/pengine/test10/rsc-discovery-per-node.dot
@@ -1,20 +1,27 @@
  digraph "g" {
 "FAKE1_monitor_0 18builder" -> "FAKE1_start_0 18node2" [ style = bold]
+"FAKE1_monitor_0 18builder" -> "all_stopped" [ style = bold]
 "FAKE1_monitor_0 18builder" [ style=bold color="green" fontcolor="black"]
 "FAKE1_monitor_0 18node1" -> "FAKE1_start_0 18node2" [ style = bold]
+"FAKE1_monitor_0 18node1" -> "all_stopped" [ style = bold]
 "FAKE1_monitor_0 18node1" [ style=bold color="green" fontcolor="black"]
 "FAKE1_monitor_0 18node2" -> "FAKE1_start_0 18node2" [ style = bold]
+"FAKE1_monitor_0 18node2" -> "all_stopped" [ style = bold]
 "FAKE1_monitor_0 18node2" [ style=bold color="green" fontcolor="black"]
 "FAKE1_monitor_0 18node3" -> "FAKE1_start_0 18node2" [ style = bold]
+"FAKE1_monitor_0 18node3" -> "all_stopped" [ style = bold]
 "FAKE1_monitor_0 18node3" [ style=bold color="green" fontcolor="black"]
 "FAKE1_monitor_0 18node4" -> "FAKE1_start_0 18node2" [ style = bold]
+"FAKE1_monitor_0 18node4" -> "all_stopped" [ style = bold]
 "FAKE1_monitor_0 18node4" [ style=bold color="green" fontcolor="black"]
 "FAKE1_monitor_60000 18node2" [ style=bold color="green" fontcolor="black"]
 "FAKE1_start_0 18node2" -> "FAKE1_monitor_60000 18node2" [ style = bold]
 "FAKE1_start_0 18node2" [ style=bold color="green" fontcolor="black"]
 "FAKE2_monitor_0 18node3" -> "FAKE2_start_0 18node3" [ style = bold]
+"FAKE2_monitor_0 18node3" -> "all_stopped" [ style = bold]
 "FAKE2_monitor_0 18node3" [ style=bold color="green" fontcolor="black"]
 "FAKE2_monitor_0 18node4" -> "FAKE2_start_0 18node3" [ style = bold]
+"FAKE2_monitor_0 18node4" -> "all_stopped" [ style = bold]
 "FAKE2_monitor_0 18node4" [ style=bold color="green" fontcolor="black"]
 "FAKE2_monitor_60000 18node3" [ style=bold color="green" fontcolor="black"]
 "FAKE2_start_0 18node3" -> "FAKE2_monitor_60000 18node3" [ style = bold]
@@ -23,8 +30,10 @@
 "FAKE2_stop_0 18node2" -> "all_stopped" [ style = bold]
 "FAKE2_stop_0 18node2" [ style=bold color="green" fontcolor="black"]
 "FAKE3_monitor_0 18node3" -> "FAKE3_start_0 18node4" [ style = bold]
+"FAKE3_monitor_0 18node3" -> "all_stopped" [ style = bold]
 "FAKE3_monitor_0 18node3" [ style=bold color="green" fontcolor="black"]
 "FAKE3_monitor_0 18node4" -> "FAKE3_start_0 18node4" [ style = bold]
+"FAKE3_monitor_0 18node4" -> "all_stopped" [ style = bold]
 "FAKE3_monitor_0 18node4" [ style=bold color="green" fontcolor="black"]
 "FAKE3_monitor_60000 18node4" [ style=bold color="green" fontcolor="black"]
 "FAKE3_start_0 18node4" -> "FAKE3_monitor_60000 18node4" [ style = bold]
@@ -33,8 +42,10 @@
 "FAKE3_stop_0 18builder" -> "all_stopped" [ style = bold]
 "FAKE3_stop_0 18builder" [ style=bold color="green" fontcolor="black"]
 "FAKE4_monitor_0 18node3" -> "FAKE4_start_0 remote1" [ style = bold]
+"FAKE4_monitor_0 18node3" -> "all_stopped" [ style = bold]
 "FAKE4_monitor_0 18node3" [ style=bold color="green" fontcolor="black"]
 "FAKE4_monitor_0 18node4" -> "FAKE4_start_0 remote1" [ style = bold]
+"FAKE4_monitor_0 18node4" -> "all_stopped" [ style = bold]
 "FAKE4_monitor_0 18node4" [ style=bold color="green" fontcolor="black"]
 "FAKE4_monitor_60000 remote1" [ style=bold color="green" fontcolor="black"]
 "FAKE4_start_0 remote1" -> "FAKE4_monitor_60000 remote1" [ style = bold]
@@ -43,14 +54,19 @@
 "FAKE4_stop_0 18node1" -> "all_stopped" [ style = bold]
 "FAKE4_stop_0 18node1" [ style=bold color="green" fontcolor="black"]
 "FAKE5_monitor_0 18builder" -> "FAKE5_start_0 18builder" [ style = bold]
+"FAKE5_monitor_0 18builder" -> "all_stopped" [ style = bold]
 "FAKE5_monitor_0 18builder" [ style=bold color="green" fontcolor="black"]
 "FAKE5_monitor_0 18node1" -> "FAKE5_start_0 18builder" [ style = bold]
+"FAKE5_monitor_0 18node1" -> "all_stopped" [ style = bold]
 "FAKE5_monitor_0 18node1" [ style=bold color="green" fontcolor="black"]
 "FAKE5_monitor_0 18node2" -> "FAKE5_start_0 18builder" [ style = bold]
+"FAKE5_monitor_0 18node2" -> "all_stopped" [ style = bold]
 "FAKE5_monitor_0 18node2" [ style=bold color="green" fontcolor="black"]
 "FAKE5_monitor_0 18node3" -> "FAKE5_start_0 18builder" [ style = bold]
+"FAKE5_monitor_0 18node3" -> "all_stopped" [ style = bold]
 "FAKE5_monitor_0 18node3" [ style=bold color="green" fontcolor="black"]
 "FAKE5_monitor_0 18node4" -> "FAKE5_start_0 18builder" [ style = bold]
+"FAKE5_monitor_0 18node4" -> "all_stopped" [ style = bold]
 "FAKE5_monitor_0 18node4" [ style=bold color="green" fontcolor="black"]
 "FAKE5_monitor_60000 18builder" [ style=bold color="green" fontcolor="black"]
 "FAKE5_start_0 18builder" -> "FAKE5_monitor_60000 18builder" [ style = bold]
@@ -65,24 +81,28 @@
 "FAKECLONE1-clone_start_0" -> "FAKECLONE1:5_start_0 18builder" [ style = bold]
 "FAKECLONE1-clone_start_0" [ style=bold color="green" fontcolor="orange"]
 "FAKECLONE1:0_monitor_0 18node1" -> "FAKECLONE1-clone_start_0" [ style = bold]
+"FAKECLONE1:0_monitor_0 18node1" -> "all_stopped" [ style = bold]
 "FAKECLONE1:0_monitor_0 18node1" [ style=bold color="green" fontcolor="black"]
 "FAKECLONE1:0_monitor_60000 18node1" [ style=bold color="green" fontcolor="black"]
 "FAKECLONE1:0_start_0 18node1" -> "FAKECLONE1-clone_running_0" [ style = bold]
 "FAKECLONE1:0_start_0 18node1" -> "FAKECLONE1:0_monitor_60000 18node1" [ style = bold]
 "FAKECLONE1:0_start_0 18node1" [ style=bold color="green" fontcolor="black"]
 "FAKECLONE1:1_monitor_0 18node2" -> "FAKECLONE1-clone_start_0" [ style = bold]
+"FAKECLONE1:1_monitor_0 18node2" -> "all_stopped" [ style = bold]
 "FAKECLONE1:1_monitor_0 18node2" [ style=bold color="green" fontcolor="black"]
 "FAKECLONE1:1_monitor_60000 18node2" [ style=bold color="green" fontcolor="black"]
 "FAKECLONE1:1_start_0 18node2" -> "FAKECLONE1-clone_running_0" [ style = bold]
 "FAKECLONE1:1_start_0 18node2" -> "FAKECLONE1:1_monitor_60000 18node2" [ style = bold]
 "FAKECLONE1:1_start_0 18node2" [ style=bold color="green" fontcolor="black"]
 "FAKECLONE1:2_monitor_0 18node3" -> "FAKECLONE1-clone_start_0" [ style = bold]
+"FAKECLONE1:2_monitor_0 18node3" -> "all_stopped" [ style = bold]
 "FAKECLONE1:2_monitor_0 18node3" [ style=bold color="green" fontcolor="black"]
 "FAKECLONE1:2_monitor_60000 18node3" [ style=bold color="green" fontcolor="black"]
 "FAKECLONE1:2_start_0 18node3" -> "FAKECLONE1-clone_running_0" [ style = bold]
 "FAKECLONE1:2_start_0 18node3" -> "FAKECLONE1:2_monitor_60000 18node3" [ style = bold]
 "FAKECLONE1:2_start_0 18node3" [ style=bold color="green" fontcolor="black"]
 "FAKECLONE1:3_monitor_0 18node4" -> "FAKECLONE1-clone_start_0" [ style = bold]
+"FAKECLONE1:3_monitor_0 18node4" -> "all_stopped" [ style = bold]
 "FAKECLONE1:3_monitor_0 18node4" [ style=bold color="green" fontcolor="black"]
 "FAKECLONE1:3_monitor_60000 18node4" [ style=bold color="green" fontcolor="black"]
 "FAKECLONE1:3_start_0 18node4" -> "FAKECLONE1-clone_running_0" [ style = bold]
@@ -93,6 +113,7 @@
 "FAKECLONE1:4_start_0 remote1" -> "FAKECLONE1:4_monitor_60000 remote1" [ style = bold]
 "FAKECLONE1:4_start_0 remote1" [ style=bold color="green" fontcolor="black"]
 "FAKECLONE1:5_monitor_0 18builder" -> "FAKECLONE1-clone_start_0" [ style = bold]
+"FAKECLONE1:5_monitor_0 18builder" -> "all_stopped" [ style = bold]
 "FAKECLONE1:5_monitor_0 18builder" [ style=bold color="green" fontcolor="black"]
 "FAKECLONE1:5_monitor_60000 18builder" [ style=bold color="green" fontcolor="black"]
 "FAKECLONE1:5_start_0 18builder" -> "FAKECLONE1-clone_running_0" [ style = bold]
@@ -108,24 +129,28 @@
 "FAKECLONE2-clone_start_0" -> "FAKECLONE2:5_start_0 18builder" [ style = bold]
 "FAKECLONE2-clone_start_0" [ style=bold color="green" fontcolor="orange"]
 "FAKECLONE2:0_monitor_0 18node1" -> "FAKECLONE2-clone_start_0" [ style = bold]
+"FAKECLONE2:0_monitor_0 18node1" -> "all_stopped" [ style = bold]
 "FAKECLONE2:0_monitor_0 18node1" [ style=bold color="green" fontcolor="black"]
 "FAKECLONE2:0_monitor_60000 18node1" [ style=bold color="green" fontcolor="black"]
 "FAKECLONE2:0_start_0 18node1" -> "FAKECLONE2-clone_running_0" [ style = bold]
 "FAKECLONE2:0_start_0 18node1" -> "FAKECLONE2:0_monitor_60000 18node1" [ style = bold]
 "FAKECLONE2:0_start_0 18node1" [ style=bold color="green" fontcolor="black"]
 "FAKECLONE2:1_monitor_0 18node2" -> "FAKECLONE2-clone_start_0" [ style = bold]
+"FAKECLONE2:1_monitor_0 18node2" -> "all_stopped" [ style = bold]
 "FAKECLONE2:1_monitor_0 18node2" [ style=bold color="green" fontcolor="black"]
 "FAKECLONE2:1_monitor_60000 18node2" [ style=bold color="green" fontcolor="black"]
 "FAKECLONE2:1_start_0 18node2" -> "FAKECLONE2-clone_running_0" [ style = bold]
 "FAKECLONE2:1_start_0 18node2" -> "FAKECLONE2:1_monitor_60000 18node2" [ style = bold]
 "FAKECLONE2:1_start_0 18node2" [ style=bold color="green" fontcolor="black"]
 "FAKECLONE2:2_monitor_0 18node3" -> "FAKECLONE2-clone_start_0" [ style = bold]
+"FAKECLONE2:2_monitor_0 18node3" -> "all_stopped" [ style = bold]
 "FAKECLONE2:2_monitor_0 18node3" [ style=bold color="green" fontcolor="black"]
 "FAKECLONE2:2_monitor_60000 18node3" [ style=bold color="green" fontcolor="black"]
 "FAKECLONE2:2_start_0 18node3" -> "FAKECLONE2-clone_running_0" [ style = bold]
 "FAKECLONE2:2_start_0 18node3" -> "FAKECLONE2:2_monitor_60000 18node3" [ style = bold]
 "FAKECLONE2:2_start_0 18node3" [ style=bold color="green" fontcolor="black"]
 "FAKECLONE2:3_monitor_0 18node4" -> "FAKECLONE2-clone_start_0" [ style = bold]
+"FAKECLONE2:3_monitor_0 18node4" -> "all_stopped" [ style = bold]
 "FAKECLONE2:3_monitor_0 18node4" [ style=bold color="green" fontcolor="black"]
 "FAKECLONE2:3_monitor_60000 18node4" [ style=bold color="green" fontcolor="black"]
 "FAKECLONE2:3_start_0 18node4" -> "FAKECLONE2-clone_running_0" [ style = bold]
@@ -136,14 +161,17 @@
 "FAKECLONE2:4_start_0 remote1" -> "FAKECLONE2:4_monitor_60000 remote1" [ style = bold]
 "FAKECLONE2:4_start_0 remote1" [ style=bold color="green" fontcolor="black"]
 "FAKECLONE2:5_monitor_0 18builder" -> "FAKECLONE2-clone_start_0" [ style = bold]
+"FAKECLONE2:5_monitor_0 18builder" -> "all_stopped" [ style = bold]
 "FAKECLONE2:5_monitor_0 18builder" [ style=bold color="green" fontcolor="black"]
 "FAKECLONE2:5_monitor_60000 18builder" [ style=bold color="green" fontcolor="black"]
 "FAKECLONE2:5_start_0 18builder" -> "FAKECLONE2-clone_running_0" [ style = bold]
 "FAKECLONE2:5_start_0 18builder" -> "FAKECLONE2:5_monitor_60000 18builder" [ style = bold]
 "FAKECLONE2:5_start_0 18builder" [ style=bold color="green" fontcolor="black"]
 "all_stopped" [ style=bold color="green" fontcolor="orange"]
+"remote1_monitor_0 18node3" -> "all_stopped" [ style = bold]
 "remote1_monitor_0 18node3" -> "remote1_start_0 18builder" [ style = bold]
 "remote1_monitor_0 18node3" [ style=bold color="green" fontcolor="black"]
+"remote1_monitor_0 18node4" -> "all_stopped" [ style = bold]
 "remote1_monitor_0 18node4" -> "remote1_start_0 18builder" [ style = bold]
 "remote1_monitor_0 18node4" [ style=bold color="green" fontcolor="black"]
 "remote1_monitor_60000 18builder" [ style=bold color="green" fontcolor="black"]
@@ -155,6 +183,8 @@
 "remote1_start_0 18builder" -> "FAKECLONE2:4_start_0 remote1" [ style = bold]
 "remote1_start_0 18builder" -> "remote1_monitor_60000 18builder" [ style = bold]
 "remote1_start_0 18builder" [ style=bold color="green" fontcolor="black"]
+"shooter_monitor_0 18node3" -> "all_stopped" [ style = bold]
 "shooter_monitor_0 18node3" [ style=bold color="green" fontcolor="black"]
+"shooter_monitor_0 18node4" -> "all_stopped" [ style = bold]
 "shooter_monitor_0 18node4" [ style=bold color="green" fontcolor="black"]
 }
Index: pacemaker-1.1.19+20181105.ccd6b5b10/pengine/test10/rsc-discovery-per-node.exp
===================================================================
--- pacemaker-1.1.19+20181105.ccd6b5b10.orig/pengine/test10/rsc-discovery-per-node.exp
+++ pacemaker-1.1.19+20181105.ccd6b5b10/pengine/test10/rsc-discovery-per-node.exp
@@ -943,6 +943,96 @@
     </action_set>
     <inputs>
       <trigger>
+        <rsc_op id="6" operation="monitor" operation_key="FAKE1_monitor_0" on_node="18builder" on_node_uuid="5"/>
+      </trigger>
+      <trigger>
+        <rsc_op id="7" operation="monitor" operation_key="FAKE5_monitor_0" on_node="18builder" on_node_uuid="5"/>
+      </trigger>
+      <trigger>
+        <rsc_op id="8" operation="monitor" operation_key="FAKECLONE1:5_monitor_0" on_node="18builder" on_node_uuid="5"/>
+      </trigger>
+      <trigger>
+        <rsc_op id="9" operation="monitor" operation_key="FAKECLONE2:5_monitor_0" on_node="18builder" on_node_uuid="5"/>
+      </trigger>
+      <trigger>
+        <rsc_op id="10" operation="monitor" operation_key="FAKE1_monitor_0" on_node="18node1" on_node_uuid="1"/>
+      </trigger>
+      <trigger>
+        <rsc_op id="11" operation="monitor" operation_key="FAKE5_monitor_0" on_node="18node1" on_node_uuid="1"/>
+      </trigger>
+      <trigger>
+        <rsc_op id="12" operation="monitor" operation_key="FAKECLONE1:0_monitor_0" on_node="18node1" on_node_uuid="1"/>
+      </trigger>
+      <trigger>
+        <rsc_op id="13" operation="monitor" operation_key="FAKECLONE2:0_monitor_0" on_node="18node1" on_node_uuid="1"/>
+      </trigger>
+      <trigger>
+        <rsc_op id="14" operation="monitor" operation_key="FAKE1_monitor_0" on_node="18node2" on_node_uuid="2"/>
+      </trigger>
+      <trigger>
+        <rsc_op id="15" operation="monitor" operation_key="FAKE5_monitor_0" on_node="18node2" on_node_uuid="2"/>
+      </trigger>
+      <trigger>
+        <rsc_op id="16" operation="monitor" operation_key="FAKECLONE1:1_monitor_0" on_node="18node2" on_node_uuid="2"/>
+      </trigger>
+      <trigger>
+        <rsc_op id="17" operation="monitor" operation_key="FAKECLONE2:1_monitor_0" on_node="18node2" on_node_uuid="2"/>
+      </trigger>
+      <trigger>
+        <rsc_op id="18" operation="monitor" operation_key="shooter_monitor_0" on_node="18node3" on_node_uuid="3"/>
+      </trigger>
+      <trigger>
+        <rsc_op id="19" operation="monitor" operation_key="remote1_monitor_0" on_node="18node3" on_node_uuid="3"/>
+      </trigger>
+      <trigger>
+        <rsc_op id="20" operation="monitor" operation_key="FAKE1_monitor_0" on_node="18node3" on_node_uuid="3"/>
+      </trigger>
+      <trigger>
+        <rsc_op id="21" operation="monitor" operation_key="FAKE2_monitor_0" on_node="18node3" on_node_uuid="3"/>
+      </trigger>
+      <trigger>
+        <rsc_op id="22" operation="monitor" operation_key="FAKE3_monitor_0" on_node="18node3" on_node_uuid="3"/>
+      </trigger>
+      <trigger>
+        <rsc_op id="23" operation="monitor" operation_key="FAKE4_monitor_0" on_node="18node3" on_node_uuid="3"/>
+      </trigger>
+      <trigger>
+        <rsc_op id="24" operation="monitor" operation_key="FAKE5_monitor_0" on_node="18node3" on_node_uuid="3"/>
+      </trigger>
+      <trigger>
+        <rsc_op id="25" operation="monitor" operation_key="FAKECLONE1:2_monitor_0" on_node="18node3" on_node_uuid="3"/>
+      </trigger>
+      <trigger>
+        <rsc_op id="26" operation="monitor" operation_key="FAKECLONE2:2_monitor_0" on_node="18node3" on_node_uuid="3"/>
+      </trigger>
+      <trigger>
+        <rsc_op id="27" operation="monitor" operation_key="shooter_monitor_0" on_node="18node4" on_node_uuid="4"/>
+      </trigger>
+      <trigger>
+        <rsc_op id="28" operation="monitor" operation_key="remote1_monitor_0" on_node="18node4" on_node_uuid="4"/>
+      </trigger>
+      <trigger>
+        <rsc_op id="29" operation="monitor" operation_key="FAKE1_monitor_0" on_node="18node4" on_node_uuid="4"/>
+      </trigger>
+      <trigger>
+        <rsc_op id="30" operation="monitor" operation_key="FAKE2_monitor_0" on_node="18node4" on_node_uuid="4"/>
+      </trigger>
+      <trigger>
+        <rsc_op id="31" operation="monitor" operation_key="FAKE3_monitor_0" on_node="18node4" on_node_uuid="4"/>
+      </trigger>
+      <trigger>
+        <rsc_op id="32" operation="monitor" operation_key="FAKE4_monitor_0" on_node="18node4" on_node_uuid="4"/>
+      </trigger>
+      <trigger>
+        <rsc_op id="33" operation="monitor" operation_key="FAKE5_monitor_0" on_node="18node4" on_node_uuid="4"/>
+      </trigger>
+      <trigger>
+        <rsc_op id="34" operation="monitor" operation_key="FAKECLONE1:3_monitor_0" on_node="18node4" on_node_uuid="4"/>
+      </trigger>
+      <trigger>
+        <rsc_op id="35" operation="monitor" operation_key="FAKECLONE2:3_monitor_0" on_node="18node4" on_node_uuid="4"/>
+      </trigger>
+      <trigger>
         <rsc_op id="42" operation="stop" operation_key="FAKE2_stop_0" on_node="18node2" on_node_uuid="2"/>
       </trigger>
       <trigger>
Index: pacemaker-1.1.19+20181105.ccd6b5b10/pengine/test10/rsc-sets-clone-1.dot
===================================================================
--- pacemaker-1.1.19+20181105.ccd6b5b10.orig/pengine/test10/rsc-sets-clone-1.dot
+++ pacemaker-1.1.19+20181105.ccd6b5b10/pengine/test10/rsc-sets-clone-1.dot
@@ -16,11 +16,13 @@ digraph "g" {
 "basegrp:1_start_0" -> "vg1:1_start_0 sys3" [ style = bold]
 "basegrp:1_start_0" -> "vg2:1_start_0 sys3" [ style = bold]
 "basegrp:1_start_0" [ style=bold color="green" fontcolor="orange" ]
+"clvmd:1_monitor_0 sys3" -> "all_stopped" [ style = bold]
 "clvmd:1_monitor_0 sys3" -> "baseclone_start_0" [ style = bold]
 "clvmd:1_monitor_0 sys3" [ style=bold color="green" fontcolor="black" ]
 "clvmd:1_start_0 sys3" -> "basegrp:1_running_0" [ style = bold]
 "clvmd:1_start_0 sys3" -> "o2cb:1_start_0 sys3" [ style = bold]
 "clvmd:1_start_0 sys3" [ style=bold color="green" fontcolor="black" ]
+"controld:1_monitor_0 sys3" -> "all_stopped" [ style = bold]
 "controld:1_monitor_0 sys3" -> "baseclone_start_0" [ style = bold]
 "controld:1_monitor_0 sys3" [ style=bold color="green" fontcolor="black" ]
 "controld:1_monitor_10000 sys3" [ style=bold color="green" fontcolor="black" ]
@@ -28,12 +30,14 @@ digraph "g" {
 "controld:1_start_0 sys3" -> "clvmd:1_start_0 sys3" [ style = bold]
 "controld:1_start_0 sys3" -> "controld:1_monitor_10000 sys3" [ style = bold]
 "controld:1_start_0 sys3" [ style=bold color="green" fontcolor="black" ]
+"fs2:1_monitor_0 sys3" -> "all_stopped" [ style = bold]
 "fs2:1_monitor_0 sys3" -> "baseclone_start_0" [ style = bold]
 "fs2:1_monitor_0 sys3" [ style=bold color="green" fontcolor="black" ]
 "fs2:1_monitor_20000 sys3" [ style=bold color="green" fontcolor="black" ]
 "fs2:1_start_0 sys3" -> "basegrp:1_running_0" [ style = bold]
 "fs2:1_start_0 sys3" -> "fs2:1_monitor_20000 sys3" [ style = bold]
 "fs2:1_start_0 sys3" [ style=bold color="green" fontcolor="black" ]
+"iscsi1:1_monitor_0 sys3" -> "all_stopped" [ style = bold]
 "iscsi1:1_monitor_0 sys3" -> "baseclone_start_0" [ style = bold]
 "iscsi1:1_monitor_0 sys3" [ style=bold color="green" fontcolor="black" ]
 "iscsi1:1_monitor_120000 sys3" [ style=bold color="green" fontcolor="black" ]
@@ -41,6 +45,7 @@ digraph "g" {
 "iscsi1:1_start_0 sys3" -> "iscsi1:1_monitor_120000 sys3" [ style = bold]
 "iscsi1:1_start_0 sys3" -> "iscsi2:1_start_0 sys3" [ style = bold]
 "iscsi1:1_start_0 sys3" [ style=bold color="green" fontcolor="black" ]
+"iscsi2:1_monitor_0 sys3" -> "all_stopped" [ style = bold]
 "iscsi2:1_monitor_0 sys3" -> "baseclone_start_0" [ style = bold]
 "iscsi2:1_monitor_0 sys3" [ style=bold color="green" fontcolor="black" ]
 "iscsi2:1_monitor_120000 sys3" [ style=bold color="green" fontcolor="black" ]
@@ -50,17 +55,21 @@ digraph "g" {
 "iscsi2:1_start_0 sys3" [ style=bold color="green" fontcolor="black" ]
 "load_stopped_sys2 sys2" [ style=bold color="green" fontcolor="orange" ]
 "load_stopped_sys3 sys3" [ style=bold color="green" fontcolor="orange" ]
+"nfs1:0_monitor_0 sys3" -> "all_stopped" [ style = bold]
 "nfs1:0_monitor_0 sys3" [ style=bold color="green" fontcolor="black" ]
+"o2cb:1_monitor_0 sys3" -> "all_stopped" [ style = bold]
 "o2cb:1_monitor_0 sys3" -> "baseclone_start_0" [ style = bold]
 "o2cb:1_monitor_0 sys3" [ style=bold color="green" fontcolor="black" ]
 "o2cb:1_start_0 sys3" -> "basegrp:1_running_0" [ style = bold]
 "o2cb:1_start_0 sys3" -> "iscsi1:1_start_0 sys3" [ style = bold]
 "o2cb:1_start_0 sys3" [ style=bold color="green" fontcolor="black" ]
+"stonithsys2_monitor_0 sys3" -> "all_stopped" [ style = bold]
 "stonithsys2_monitor_0 sys3" -> "stonithsys2_start_0 sys3" [ style = bold]
 "stonithsys2_monitor_0 sys3" [ style=bold color="green" fontcolor="black" ]
 "stonithsys2_monitor_15000 sys3" [ style=bold color="green" fontcolor="black" ]
 "stonithsys2_start_0 sys3" -> "stonithsys2_monitor_15000 sys3" [ style = bold]
 "stonithsys2_start_0 sys3" [ style=bold color="green" fontcolor="black" ]
+"stonithsys3_monitor_0 sys3" -> "all_stopped" [ style = bold]
 "stonithsys3_monitor_0 sys3" -> "stonithsys3_start_0 sys2" [ style = bold]
 "stonithsys3_monitor_0 sys3" [ style=bold color="green" fontcolor="black" ]
 "stonithsys3_monitor_15000 sys2" [ style=bold color="green" fontcolor="black" ]
@@ -69,18 +78,24 @@ digraph "g" {
 "stonithsys3_stop_0 sys2" -> "all_stopped" [ style = bold]
 "stonithsys3_stop_0 sys2" -> "stonithsys3_start_0 sys2" [ style = bold]
 "stonithsys3_stop_0 sys2" [ style=bold color="green" fontcolor="black" ]
+"vg1:1_monitor_0 sys3" -> "all_stopped" [ style = bold]
 "vg1:1_monitor_0 sys3" -> "baseclone_start_0" [ style = bold]
 "vg1:1_monitor_0 sys3" [ style=bold color="green" fontcolor="black" ]
 "vg1:1_start_0 sys3" -> "basegrp:1_running_0" [ style = bold]
 "vg1:1_start_0 sys3" -> "vg2:1_start_0 sys3" [ style = bold]
 "vg1:1_start_0 sys3" [ style=bold color="green" fontcolor="black" ]
+"vg2:1_monitor_0 sys3" -> "all_stopped" [ style = bold]
 "vg2:1_monitor_0 sys3" -> "baseclone_start_0" [ style = bold]
 "vg2:1_monitor_0 sys3" [ style=bold color="green" fontcolor="black" ]
 "vg2:1_start_0 sys3" -> "basegrp:1_running_0" [ style = bold]
 "vg2:1_start_0 sys3" -> "fs2:1_start_0 sys3" [ style = bold]
 "vg2:1_start_0 sys3" [ style=bold color="green" fontcolor="black" ]
+"vm1_monitor_0 sys3" -> "all_stopped" [ style = bold]
 "vm1_monitor_0 sys3" [ style=bold color="green" fontcolor="black" ]
+"vm2_monitor_0 sys3" -> "all_stopped" [ style = bold]
 "vm2_monitor_0 sys3" [ style=bold color="green" fontcolor="black" ]
+"vm3_monitor_0 sys3" -> "all_stopped" [ style = bold]
 "vm3_monitor_0 sys3" [ style=bold color="green" fontcolor="black" ]
+"vm4_monitor_0 sys3" -> "all_stopped" [ style = bold]
 "vm4_monitor_0 sys3" [ style=bold color="green" fontcolor="black" ]
 }
